
.wc-product-card {
    width: 100%;
    max-width: 300px;
    border: 1px solid rgba(from #484a4d r g b /0.4);
    border-radius: 20px;
    transition: all 0.2s ease-in-out;
}

.wc-product-card:hover {
    border-color: var(--accent-color);
    transform: translateY(-10px);
    box-shadow: 0 5px 25px rgba(from var(--accent-color) r g b /0.1);
}

.wc-product-card .wc-product-image-wrapper {
    position: relative;
    background-color: #F5F9FC;
    border-top-right-radius: 20px;
    border-top-left-radius: 20px;
    padding: 20px;
}

.wc-product-card .wc-product-image-wrapper a {
    border-radius: 18px;
    overflow: hidden;
}

.wc-product-card .wc-product-image-wrapper img {
    width: 100%;
    max-height: 200px;
    object-fit: cover;
    border-radius: 18px;
    transition: transform 0.2s ease-in-out;
}

.wc-product-card:hover .wc-product-image-wrapper img {
    transform: scale(1.05);
}

.wc-product-card .wc-product-image-wrapper .wc-sale-badge {
    position: absolute;
    top: 20px;
    left: 20px;
    display: inline-block;
    background-color: var(--accent-color);
    color: #fff;
    font-size: 14px;
    border-radius: 10px;
    padding: 8px 14px;
    z-index: 10;
}

.wc-product-card .wc-product-details {
    padding: 20px;
}

.wc-product-card .wc-product-details .wc-product-category-list {
    display: flex;
    align-items: center;
    gap: 4px;
}

.wc-product-card .wc-product-details .wc-product-category {
    font-size: 14px;
    color: var(--accent-color);
}

.wc-product-card .wc-product-details .wc-product-title {
    font-weight: 600;
    font-size: 18px;
    margin-bottom: 10px;
}

.wc-product-card .wc-product-details .wc-product-sale-price {
    color: var(--accent-color);
    font-size: 20px;
}

.wc-product-card .wc-product-details .wc-product-sale-price span {
    color: gray;
    font-size: 14px;
    text-decoration: line-through;
}
